SIP Class Reference

## Public Member Functions

void | ParseStandard (unsigned char *buffer)
void | ParseSERAUX (unsigned char *buffer)
| Parse a SERAUX SIP packet. More...
void | ParseGyro (unsigned char *buffer)
void | ParseArm (unsigned char *buffer)
void | ParseArmInfo (unsigned char *buffer)
void | Print ()
void | PrintSonars ()
void | PrintArm ()
void | PrintArmInfo ()
void | FillStandard (player_p2os_data_t *data)
void | FillSERAUX (player_p2os_data_t *data)
void | FillGyro (player_p2os_data_t *data)
void | FillArm (player_p2os_data_t *data)
| SIP (int idx)

## Public Attributes

bool | lwstall
bool | rwstall
unsigned char | status
unsigned char | battery
unsigned char | sonarreadings
unsigned char | analog
unsigned char | digin
unsigned char | digout
unsigned short | ptu
unsigned short | compass
unsigned short | timer
unsigned short | rawxpos
unsigned short | rawypos
unsigned short | frontbumpers
unsigned short | rearbumpers
short | angle
short | lvel
short | rvel
short | control
unsigned short * | sonars
int | xpos
int | ypos
int | x_offset
int | y_offset
int | angle_offset
unsigned short | blobmx
unsigned short | blobmy
unsigned short | blobx1
unsigned short | blobx2
unsigned short | bloby1
unsigned short | bloby2
unsigned short | blobarea
unsigned short | blobconf
unsigned int | blobcolor
int32_t | gyro_rate
bool | armPowerOn
bool | armConnected
bool | armJointMoving [6]
unsigned char | armJointPos [6]
double | armJointPosRads [6]
unsigned char | armJointTargetPos [6]
char * | armVersionString
unsigned char | armNumJoints
ArmJoint * | armJoints
double | lastLiftPos

## Private Member Functions

int | PositionChange (unsigned short, unsigned short)

## Private Attributes

int | param_idx

## Member Function Documentation

void SIP::ParseSERAUX | ( | unsigned char * | buffer | ) |

Parse a SERAUX SIP packet.

For a CMUcam, this will have blob tracking messages in the format (all one-byte values, no spaces):

    255 M mx my x1 y1 x2 y2 pixels confidence  (10-bytes)

Or color info messages of the format:

     255 S Rval Gval Bval Rvar Gvar Bvar    (8-bytes)

The documentation for this class was generated from the following files:

- p2os/sip.h
- p2os/sip.cc

Last updated 12 September 2005 21:38:45